> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slant.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List trusts

> List all trusts owned by a household. Supports filtering by name and updated_since.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/households/{household_id}/trusts
openapi: 3.0.1
info:
  title: Slant Public API V1
  version: v1
  description: Public API for creating and managing resources in Slant
  contact:
    name: Slant API Support
    email: api@slant.com
servers:
  - url: https://api.slant.app
security:
  - bearer: []
paths:
  /v1/households/{household_id}/trusts:
    parameters:
      - name: household_id
        in: path
        description: The household ID
        required: true
        example: household123xyz
        schema:
          type: string
    get:
      tags:
        - Trusts
      summary: List trusts
      description: >-
        List all trusts owned by a household. Supports filtering by name and
        updated_since.
      parameters:
        - name: page
          in: query
          schema:
            type: integer
          description: Page number
          required: false
          example: 1
        - name: per_page
          in: query
          description: >-
            Items per page (1-100, default: 25). Values over 100 will be clamped
            to 100.
          required: false
          example: 25
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: name
          in: query
          description: >-
            Filter by trust name (prefix/full-text match, not arbitrary
            substring)
          required: false
          example: Smith
          schema:
            type: string
        - name: updated_since
          in: query
          description: Filter by last updated datetime (ISO8601)
          required: false
          example: '2024-01-01T00:00:00Z'
          schema:
            type: string
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - pagination
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Trust'
                  pagination:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total_pages:
                        type: integer
                        example: 10
                      total_count:
                        type: integer
                        example: 100
                      per_page:
                        type: integer
                        example: 25
        '400':
          description: bad request - invalid JSON
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - detail
                properties:
                  error:
                    type: string
                    description: Error code
                    enum:
                      - invalid_json
                  detail:
                    oneOf:
                      - type: string
                        description: Human-readable error description
                      - type: array
                        items:
                          type: string
                        description: Array of validation error messages
        '401':
          description: unauthorized - missing or invalid token
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - detail
                properties:
                  error:
                    type: string
                    description: Error code
                    enum:
                      - token_missing
                      - token_invalid
                  detail:
                    oneOf:
                      - type: string
                        description: Human-readable error description
                      - type: array
                        items:
                          type: string
                        description: Array of validation error messages
        '403':
          description: forbidden
      security:
        - bearer: []
components:
  schemas:
    Trust:
      type: object
      required:
        - id
        - book_id
        - household_id
        - name
        - created_at
        - updated_at
      properties:
        id:
          type: string
          description: The trust ID
          example: abc123xyz
        book_id:
          type: string
          description: The book ID
          example: book123xyz
        household_id:
          type: string
          description: The household ID
          example: household123xyz
        name:
          type: string
          description: Trust name
          example: Smith Family Trust
        tax_id:
          type: string
          description: Tax ID
          example: 12-3456789
          nullable: true
        additional_info:
          type: string
          description: Additional information
          nullable: true
        created_at:
          type: string
          format: date-time
          description: When the trust was created
        updated_at:
          type: string
          format: date-time
          description: When the trust was last updated
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: OAuth
      description: OAuth 2.0 Bearer Token from Clerk authentication

````